Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomFragment

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomFragment

All Implemented Interfaces:
  java.lang.Cloneable, DocumentEvent, DocumentFragment, EventTarget, Node, NodeList

public class DomFragment
extends DomNode
implements DocumentFragment

"DocumentFragment" implementation.

Version:
  $Date: 2001/11/20 04:53:46 $
Author:
  David Brownell

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DomFragment(Document owner)` Constructs a DocumentFragment node associated with the specified document.

Method Summary
`java.lang.String` | `getNodeName()` DOM L1 Returns the string "#document-fragment".
`short` | `getNodeType()` DOM L1 Returns the constant DOCUMENT_FRAGMENT_NODE.

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DomFragment

    protected DomFragment(Document owner)

  Constructs a DocumentFragment node associated with the specified document.

  This constructor should only be invoked by a Document as part of its createDocumentFragment functionality, or through a subclass which is similarly used in a "Sub-DOM" style layer.

Method Detail

### getNodeName

    public final java.lang.String getNodeName()

  DOM L1 Returns the string "#document-fragment".
  Specified by:
    `getNodeName` in interface `Node`

### getNodeType

    public final short getNodeType()

  DOM L1 Returns the constant DOCUMENT_FRAGMENT_NODE.
  Specified by:
    `getNodeType` in interface `Node`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.